KCMAP_PROTO_STORE_FUNC(3)

PROTO_FUNC
kcmap_PROTO_store_func - This routine will store colours into a low level colourmap.

SYNOPSIS
#include <karma_kcmap.h>

void kcmap_PROTO_store_func

(unsigned int num_cells, unsigned long *pixel_values, unsigned short *reds, unsigned short *greens, unsigned short *blues, unsigned int stride, Kdisplay dpy_handle)

DESCRIPTION
This routine will store colours into a low level colourmap.

num_cells
    The number of colourcells to store.

pixel_values
    The array of pixel values.

reds
    The array of red intensity values.

greens
    The array of green intensity values.

blues
    The array of blue intensity values.

stride
    The stride (in unsigned shorts) between intensity values in each array.

dpy_handle
    The low level display handle. The meaning of this value depends on the lower level graphics library used.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/